Summary:   A monitoring tool for the SETI@home project
Name:      ksetiwatch
Version:   3.0.0
Release:   2mdk
License:   GPL
Url:       http://ksetiwatch.sourceforge.net
Group:     Monitoring

Source:    ksetiwatch-%{version}.tar.bz2
Source1:   ksetiwatch-32.png
Source2:   ksetiwatch-16.png
Source3:   ksetiwatch-48.png

BuildRoot: %_tmppath/%name-%version-%release-root
BuildRequires: kdelibs-devel jpeg-devel png-devel XFree86-devel

Obsoletes:	kde3-ksetiwatch
Provides:	kde3-ksetiwatch

%description
Ksetiwatch monitors multiple SETI@home instances running
on your computer or in your network, and it automatically
logs and manages completed work units. Ksetiwatch provides
the look-and-feel of the popular SETIWatch program for 
Windows 95/98/2000.

%prep
%setup -q

%build
export QTDIR=%_prefix/lib/qt3
export KDEDIR=%_prefix

export LD_LIBRARY_PATH=$QTDIR/lib:$KDEDIR/lib:$LD_LIBRARY_PATH
export PATH=$QTDIR/bin:$KDEDIR/bin:$PATH

#laurent 2.2.4 %%configure doesn't work
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" \
./configure	--build=%{_target_platform} \
		--prefix=%{_prefix} \
		--libdir=%{_libdir} \
		--disable-rpath \
		--disable-debug \
		--enable-mt \
		--enable-shared \
		--disable-static \
		--disable-objprelink \
		--with-pic \
		--with-gnu-ld \
		--disable-embedded \
		--enable-fast-install=yes \
		--with-xinerama \
		--enable-final

%make

%install
rm -fr %buildroot

%makeinstall

# icon
install %{SOURCE1} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install %{SOURCE2} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png
install %{SOURCE3} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png

install -d %buildroot/%_menudir/
cat > %buildroot/%_menudir/%{name} <<EOF
?package(%{name}):\
command="ksetiwatch"\
title="Ksetiwatch"\
longtitle="Monitors seti@home crunching"\
needs="x11"\
icon="ksetiwatch.png"\
section="Applications/Monitoring"
EOF

%{find_lang} %{name}
 
%post
%update_menus
 
 
%postun
%clean_menus

%clean
rm -fr %buildroot

%files -f %{name}.lang
%defattr (-,root,root)
%doc AUTHORS INSTALL COPYING ChangeLog README TODO
%dir %_docdir/HTML/
%dir %_docdir/HTML/en/
%dir %_docdir/HTML/en/ksetiwatch/
%doc %_docdir/HTML/en/ksetiwatch/*.docbook
%doc %_docdir/HTML/en/ksetiwatch/*.png
%doc %_docdir/HTML/en/ksetiwatch/common
%doc %_docdir/HTML/en/ksetiwatch/*.bz2
#
%dir %_docdir/HTML/fr/
%dir %_docdir/HTML/fr/ksetiwatch/
%doc %_docdir/HTML/fr/ksetiwatch/*.docbook
%doc %_docdir/HTML/fr/ksetiwatch/common
%doc %_docdir/HTML/fr/ksetiwatch/*.bz2

%dir %_docdir/HTML/es/
%dir %_docdir/HTML/es/ksetiwatch/
%doc %_docdir/HTML/es/ksetiwatch/*.docbook
%doc %_docdir/HTML/es/ksetiwatch/common
%doc %_docdir/HTML/es/ksetiwatch/*.bz2

%dir %_docdir/HTML/de/
%dir %_docdir/HTML/de/ksetiwatch/
%doc %_docdir/HTML/de/ksetiwatch/*.docbook
%doc %_docdir/HTML/de/ksetiwatch/*.png
%doc %_docdir/HTML/de/ksetiwatch/common
%doc %_docdir/HTML/de/ksetiwatch/*.bz2

%dir %_docdir/HTML/sv/
%dir %_docdir/HTML/sv/ksetiwatch/
%doc %_docdir/HTML/sv/ksetiwatch/*.docbook
%doc %_docdir/HTML/sv/ksetiwatch/*.png
%doc %_docdir/HTML/sv/ksetiwatch/common
%doc %_docdir/HTML/sv/ksetiwatch/*.bz2


#
%_bindir/*
#
#
%_menudir/*
#
#
%dir %_datadir/applnk/
%dir %_datadir/applnk/Applications/
%_datadir/applnk/Applications/*.desktop
#
#
%dir %_datadir/apps/
%dir %_datadir/apps/ksetiwatch/
%dir %_datadir/apps/ksetiwatch/pics/
%_datadir/apps/ksetiwatch/pics/*.png
#
%dir %_datadir/apps/ksetiwatch/sounds/
%_datadir/apps/ksetiwatch/sounds/*.wav
#
#
%_iconsdir/*.png
#
%dir %_iconsdir/locolor/
%dir %_iconsdir/locolor/16x16/
%dir %_iconsdir/locolor/16x16/apps/
%_iconsdir/locolor/16x16/apps/*.png
#
%dir %_iconsdir/locolor/32x32/
%dir %_iconsdir/locolor/32x32/apps/
%_iconsdir/locolor/32x32/apps/*.png
#
%_miconsdir/*.png
%_liconsdir/*.png


%dir %_iconsdir/hicolor/
%dir %_iconsdir/hicolor/16x16/
%dir %_iconsdir/hicolor/16x16/apps/
%_iconsdir/hicolor/16x16/apps/*.png
#
%dir %_iconsdir/hicolor/32x32/
%dir %_iconsdir/hicolor/32x32/apps/
%_iconsdir/hicolor/32x32/apps/*.png

%changelog
* Fri Jun  4 2004 Laurent Montel <lmontel@mandrakesoft.com> 3.0.0-2mdk
- Rebuild

* Tue May 04 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 3.0.0-1mdk
- 3.0.0

* Wed Jan 21 2004 Laurent MONTEL <lmontel@mandrakesoft.com> 2.6.1-4mdk
- Rebuild

* Fri Jul 18 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.6.1-3mdk
- Rebuild

* Thu Jun 19 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.6.1-2mdk
- fix path to qt3 (lib64 issues..)

* Sat Jun 14 2003 Per yvind Karlsen <peroyvind@sintrax.net> 2.6.1-1mdk
- 2.6.1
- configure with more options, $RPM_OPT_FLAGS and in correct stage
- converted icons to png format and added 48x48 icon
- added de and sv docs

* Tue Feb 11 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 2.6.0-1mdk
- update

* Sat Oct 26 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.5.1-1mdk
- 2.5.1

* Mon Oct 07 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.5.0-1mdk
- 2.5.0

* Wed Aug 14 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.5.0-0.pre2.3mdk
- Rebuild against gcc-3.2

* Sat Jul 27 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.5.0-0.pre2.2mdk
- Rebuild against gcc-3.2

* Tue Jun 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.5.0-0.pre2.1mdk
- pre2

* Sat Jun 01 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.5.0-0.pre1.4mdk
- Rebuild

* Fri May 24 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.5.0-0.pre1.3mdk
- rebuild

* Wed May 08 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.5.0-0.pre1.2mdk
- rebuild against gcc3.1

* Mon Apr 29 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.5.0-0.pre1.1mdk
- port to kde3.0

* Mon Feb 04 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.5-1mdk
- Update code (2.2.5)

* Sat Jan 12 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.4-1mdk
- Update code (2.2.4)

* Tue Nov  6 2001 Stefan van der Eijk <stefan@eijk.nu> 2.2.2-5mdk
- BuildRequires revisited

* Fri Oct 19 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-4mdk
- Rebuild against libpng3

* Thu Sep 20 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-3mdk
- Rebuild with new kdelibs

* Sat Sep 09 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.2-2mdk
- Fix build and %%files

* Thu May 31 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.2-1mdk
- Update code

* Mon Apr 23 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.1-1mdk
- Update code

* Tue Apr 10 2001 David BAUDENS <baudens@mandrakesoft.com> 2.2.0-3mdk
- Move KDE menu entry in %%_datadir/applnk
- Fix BuildRequires for non %%ix86 architectures
- Rebuild against latest GCC

* Wed Mar 28 2001 Laurent MONTEL <lmontel@mandrakesoft.com> 2.2.0-2mdk
- Clean spec and add build requires

* Sun Mar 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.2.0-1mdk
- updated by Blaise Tramier <meles@linux-mandrake.com> :
	- updated to 2.2.0
	- added menu icons
- now we can use %configure macro
- %find_lang macro

* Fri Jan 12 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.1.0-1mdk
- updated to 2.1.0

* Wed Nov 15 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.0.2-1mdk
- new in contribs
